GET
Get staking request for Go Account
Get a specific staking request for a given asset and Go Account.
Path Params
-
coinstring enum requiredThe staking asset.OFCSOLOFCSUI -
accountIdstring requiredAccount ID to fetch the staking request for. -
requestIdstring uuid requiredUUID of the staking request.
Responses
200
Staking request retrieved successfully
Response Body
object
-
idstring uuid required -
clientIdstring -
statusstring enum requiredCoarse-grained status for staking requests.NEWPENDINGFAILEDREJECTEDCONFIRMEDCOOLDOWNWARMUPUNSUPPORTED -
typestring enumType of staking request.STAKEto delegate,UNSTAKEto undelegate.UNSUPPORTEDis a fallback.STAKEUNSTAKEUNSUPPORTED -
coinstring -
goAccountIdstring required -
errorstring -
amountstring big-integer required -
createdDatestring date-time required -
statusModifiedDatestring date-time -
propertiesobject requiredproperties object
-
amountstringAmount to stake or unstake, in base units
-
-
sourcestring enumMANUALAUTO_STAKE
400
Bad Request
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
401
Unauthorized
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
403
Forbidden
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
404
Not found
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
500
Server Error - Transient error please try again
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject